# Helpers for manipulating Linux libnuma nodemask_t

## Functions
static __hwloc_inline int | hwloc_cpuset_to_linux_libnuma_nodemask (hwloc_topology_t topology, hwloc_const_cpuset_t cpuset, nodemask_t *nodemask)
| Convert hwloc CPU set `cpuset` into libnuma nodemask `nodemask`.
static __hwloc_inline int | hwloc_cpuset_from_linux_libnuma_nodemask (hwloc_topology_t topology, hwloc_cpuset_t cpuset, const nodemask_t *nodemask)
| Convert libnuma nodemask `nodemask` into hwloc CPU set `cpuset`.

## Function Documentation

static __hwloc_inline int hwloc_cpuset_from_linux_libnuma_nodemask | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | cpuset,
|  | const nodemask_t * | nodemask |
| ) |  |  | `[static]`

Convert libnuma nodemask `nodemask` into hwloc CPU set `cpuset`.

This function may be used before calling some old libnuma functions that use a nodemask_t as an output parameter.

static __hwloc_inline int hwloc_cpuset_to_linux_libnuma_nodemask | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | cpuset,
|  | nodemask_t * | nodemask |
| ) |  |  | `[static]`

Convert hwloc CPU set `cpuset` into libnuma nodemask `nodemask`.

This function may be used before calling some old libnuma functions that use a nodemask_t as an input parameter.